Building Atom on Windows Verbosely


#1

I am building atom on Windows. I have all the prerequisites installed, and all the modules install successfully. However, I encounter an error:

C:\Users\Tyler\code\atom>script\build

Removing envify √
Installing modules √
Installing atom-dark-syntax@0.15.0 √
Installing atom-dark-ui@0.26.0 √
Installing atom-light-syntax@0.17.0 √
Installing atom-light-ui@0.24.0 √
Installing base16-tomorrow-dark-theme@0.15.0 √
Installing solarized-dark-syntax@0.14.0 √
Installing solarized-light-syntax@0.7.0 √
Installing archive-view@0.30.0 √
Installing autocomplete@0.27.0 √
Installing autoflow@0.16.0 √
Installing autosave@0.13.0 √
Installing background-tips@0.13.0 √
Installing bookmarks@0.22.0 √
Installing bracket-matcher@0.33.0 √
Installing command-palette@0.21.0 √
Installing deprecation-cop@0.5.0 √
Installing dev-live-reload@0.30.0 √
Installing exception-reporting@0.17.0 √
Installing feedback@0.32.0 √
Installing find-and-replace@0.101.0 √
Installing fuzzy-finder@0.50.0 √
Installing git-diff@0.28.0 √
Installing go-to-line@0.19.0 √
Installing grammar-selector@0.26.0 √
Installing image-view@0.33.0 √
Installing keybinding-resolver@0.17.0 √
Installing link@0.22.0 √
Installing markdown-preview@0.69.0 √
Installing metrics@0.32.0 √
Installing open-on-github@0.28.0 √
Installing package-generator@0.30.0 √
Installing release-notes@0.29.0 √
Installing settings-view@0.114.0 √
Installing snippets@0.43.0 √
Installing spell-check@0.35.0 √
Installing status-bar@0.40.0 √
Installing styleguide@0.29.0 √
Installing symbols-view@0.51.0 √
Installing tabs@0.39.0 √
Installing timecop@0.18.0 √
Installing tree-view@0.92.0 √
Installing update-package-dependencies@0.6.0 √
Installing welcome@0.13.0 √
Installing whitespace@0.22.0 √
Installing wrap-guide@0.18.0 √
Installing language-c@0.15.0 √
Installing language-coffee-script@0.22.0 √
Installing language-css@0.16.0 √
Installing language-gfm@0.34.0 √
Installing language-git@0.9.0 √
Installing language-go@0.11.0 √
Installing language-html@0.19.0 √
Installing language-hyperlink@0.9.0 √
Installing language-java@0.10.0 √
Installing language-javascript@0.25.0 √
Installing language-json@0.8.0 √
Installing language-less@0.9.0 √
Installing language-make@0.10.0 √
Installing language-objective-c@0.11.0 √
Installing language-perl@0.8.0 √
Installing language-php@0.14.0 √
Installing language-property-list@0.7.0 √
Installing language-python@0.15.0 √
Installing language-ruby@0.23.0 √
Installing language-ruby-on-rails@0.12.0 √
Installing language-sass@0.10.0 √
Installing language-shellscript@0.8.0 √
Installing language-source@0.7.0 √
Installing language-sql@0.8.0 √
Installing language-text@0.6.0 √
Installing language-todo@0.10.0 √
Installing language-toml@0.12.0 √
Installing language-xml@0.12.0 √
Installing language-yaml@0.6.0 √
Deduping modules √
Running "download-atom-shell" task
>> The system cannot find the path specified.
Aborted due to warnings.

How can I view the verbose logs?


#2

I want to see it on Linux also, script/build which verbosity can be configured. I’m sure grunt has verbosity too (adding more log?).
This was because sometimes script/build showing error but then waiting too long in unknown state. Whether it is failed or waiting on something? I’m confused.